| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Private Attributes

# IG::Num::AnalysisRequestDto Class Reference

DTO (Data Transfer Objects) for storing contents of direct analysis request (in optimization problems). More...

Inheritance diagram for IG::Num::AnalysisRequestDto:
[legend]
Collaboration diagram for IG::Num::AnalysisRequestDto:
[legend]

List of all members.

## Public Member Functions
| AnalysisRequestDto ()
| Default constructor.
override AnalysisResults | CreateObject ()
| Creates and returns a new analysis request object.
## Protected Member Functions
override void | CopyFromPlain (AnalysisResults anres)
| Copies data to the current DTO from an analysis results object.
override void | CopyToPlain (ref AnalysisResults anres)
| Copies data from the current DTO to a vector object.
## Properties
int | NumParameters`[get, set]`
| Number of parameters of an optimization problem.
int | NumObjectives`[get, set]`
| Number of objective functions (usually 1, always less or equal to 1 - since this is not meant for multiobjective optimization).
int | NumConstraints`[get, set]`
| Number of constraint functions in the optimization problem.
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints.
VectorDtoBase | Parameters`[get, set]`
| Vector of parameters at which response functons are requested.
bool | RequestedObjective`[get, set]`
| Flag indicating whether calculation of objective function is required or not.
bool | RequestedConstraints`[get, set]`
| Flag indicating whether calculation of constraint functions is required or not.
bool | RequestedObjectiveGradient`[get, set]`
| Flag indicating whether calculation of objective function gradient is required or not.
bool | RequestedConstraintGradients`[get, set]`
| Flag indicating whether calculation of constraint function gradients is required or not.
bool | RequestedObjectiveHessian`[get, set]`
| Flag indicating whether calculation of objective function Hessian is required or not.
bool | RequestedConstraintHessians`[get, set]`
| Flag indicating whether calculation of constraint function Hessians is required or not.
## Private Attributes
int | _numParameters = 1
int | _numObjectives = 1
int | _numConstraints = 0
int | _numEqualityConstraints = 0
VectorDtoBase | _parameters
bool | _reqObjective = true
bool | _reqConstraints = true
bool | _reqObjectiveGradient = false
bool | _reqConstraintGradients = false
bool | _reqObjectiveHessian = false
bool | _reqConstraintHessians = false

## Detailed Description

DTO (Data Transfer Objects) for storing contents of direct analysis request (in optimization problems).

$A Igor Aug10;

## Constructor & Destructor Documentation

IG::Num::AnalysisRequestDto::AnalysisRequestDto | ( |  | ) | `[inline]`

Default constructor.

## Member Function Documentation

override AnalysisResults IG::Num::AnalysisRequestDto::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns a new analysis request object.

Implements IG::Lib::SerializationDtoBase< Type, BaseType >.

override void IG::Num::AnalysisRequestDto::CopyFromPlain | ( | AnalysisResults | anres | ) | `[inline, protected]`

Copies data to the current DTO from an analysis results object.

Parameters:

  anres | Analysis results object from which data is copied.

Reimplemented in IG::Num::AnalysisResultsDto.

override void IG::Num::AnalysisRequestDto::CopyToPlain | ( | ref AnalysisResults | anres | ) | `[inline, protected]`

Copies data from the current DTO to a vector object.

Parameters:

  vec | Analysis results object that data is copied to.

Reimplemented in IG::Num::AnalysisResultsDto.

## Member Data Documentation

int IG::Num::AnalysisRequestDto::_numParameters = 1`[private]`

int IG::Num::AnalysisRequestDto::_numObjectives = 1`[private]`

int IG::Num::AnalysisRequestDto::_numConstraints = 0`[private]`

int IG::Num::AnalysisRequestDto::_numEqualityConstraints = 0`[private]`

VectorDtoBase IG::Num::AnalysisRequestDto::_parameters`[private]`

bool IG::Num::AnalysisRequestDto::_reqObjective = true`[private]`

bool IG::Num::AnalysisRequestDto::_reqConstraints = true`[private]`

bool IG::Num::AnalysisRequestDto::_reqObjectiveGradient = false`[private]`

bool IG::Num::AnalysisRequestDto::_reqConstraintGradients = false`[private]`

bool IG::Num::AnalysisRequestDto::_reqObjectiveHessian = false`[private]`

bool IG::Num::AnalysisRequestDto::_reqConstraintHessians = false`[private]`

## Property Documentation

int IG::Num::AnalysisRequestDto::NumParameters`[get, set]`

Number of parameters of an optimization problem.

int IG::Num::AnalysisRequestDto::NumObjectives`[get, set]`

Number of objective functions (usually 1, always less or equal to 1 - since this is not meant for multiobjective optimization).

int IG::Num::AnalysisRequestDto::NumConstraints`[get, set]`

Number of constraint functions in the optimization problem.

int IG::Num::AnalysisRequestDto::NumEqualityConstraints`[get, set]`

Number of equality constraints.

VectorDtoBase IG::Num::AnalysisRequestDto::Parameters`[get, set]`

Vector of parameters at which response functons are requested.

bool IG::Num::AnalysisRequestDto::RequestedObjective`[get, set]`

Flag indicating whether calculation of objective function is required or not.

bool IG::Num::AnalysisRequestDto::RequestedConstraints`[get, set]`

Flag indicating whether calculation of constraint functions is required or not.

bool IG::Num::AnalysisRequestDto::RequestedObjectiveGradient`[get, set]`

Flag indicating whether calculation of objective function gradient is required or not.

bool IG::Num::AnalysisRequestDto::RequestedConstraintGradients`[get, set]`

Flag indicating whether calculation of constraint function gradients is required or not.

bool IG::Num::AnalysisRequestDto::RequestedObjectiveHessian`[get, set]`

Flag indicating whether calculation of objective function Hessian is required or not.

bool IG::Num::AnalysisRequestDto::RequestedConstraintHessians`[get, set]`

Flag indicating whether calculation of constraint function Hessians is required or not.

The documentation for this class was generated from the following file:

- AnalysisResultsDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events